CGCookie LuxRenderer Install Tutorial

Any thoughts on this tutorial?

I wonder if it is necessary to do all that… I’m running 2.59 - are all those compatibility bugs worked out? Maybe I could just install luxrender without having to continually update?

If you want to use 2.59 with LuxRender 0.8, yeah, you can just install it and be done with it. If you want to use latest blender or lux, well, still need to do that method as that’s actually what the method is for in the first place, keeping up with development versions.